<?xml version="1.0"?>
<xs:schema
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  elementFormDefault="qualified"
  attributeFormDefault="unqualified">

  <xs:element name="srvcc-ext" type="srvcc-extType"/>

  <xs:complexType name="srvcc-extType">
    <xs:sequence>
      <xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:element name="PS-reg-info" type="PS-reg-infoType"/>

  <xs:complexType name="PS-reg-infoType">
    <xs:sequence>
      <xs:element name="ATCF-Management-URI" type="xs:anyURI" minOccurs="0"/>
      <xs:element name="C-MSISDN" type="xs:anyURI" minOccurs="0"/>
      <xs:element name="anyExt" type="anyExtType" minOccurs="0"/>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:attribute name="Path" type="xs:anyURI"/>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:element name="Setup-info" type="Setup-infoType"/>

  <xs:complexType name="Setup-infoType">
    <xs:sequence>
      <xs:element name="C-MSISDN" type="xs:anyURI"/>
      <xs:element name="direction" type="directionType"/>
      <xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <xs:simpleType name="directionType">
     <xs:restriction base="xs:string">
        <xs:enumeration value="initiator"/>
        <xs:enumeration value="receiver"/>
     </xs:restriction>
  </xs:simpleType>

  <xs:complexType name="anyExtType">
    <xs:sequence>
      <xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
  </xs:complexType>

</xs:schema>
